package com.xy.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel("翻译DTO")
@Accessors(chain = true)
public class TranslateDto {

    @Data
    @Accessors(chain = true)
    public static class One {
        @NotBlank(message = "待翻译字符串不能为空")
        @ApiModelProperty(value = "待翻译字符串")
        private String content;

        @NotBlank(message = "目标语言类型不能为空")
        @ApiModelProperty(value = "目标语言类型：（en-英语,kor-韩语，th-泰语..")
        private String targetType;
    }

}
